@echo off


REM ***** Check for Admin rights and abort install if not elevated
REM AT > NUL
REM IF %ERRORLEVEL% EQU 0 (ECHO Beginning install...) ELSE (GOTO AdminProblem)

REM ***** Copy files to the root of C *****
cd /d %~dp0
IF EXIST "C:\KWPR-COPIER-INSTALL-FILES" (RD "C:\KWPR-COPIER-INSTALL-FILES" /s /q)
MD "C:\KWPR-COPIER-INSTALL-FILES"
ECHO Let's copy all required install files...
ping 127.0.0.1 -n 1 -w 2000 > nul
xcopy bin "C:\KWPR-COPIER-INSTALL-FILES" /s /y /i
echo Done copying files!
ping 127.0.0.1 -n 1 -w 2000 > nul

REM ***** Remove Obsolete printers *****
ECHO Perfoming cleanup of obsolete printers...
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"Mailroom"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"Cafe Bar"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"BizHub 1 [near bullpen]"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"BizHub 2 [near front]"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"Bullpen on Left"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"Bullpen on Right"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"BUllpen 1"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"Bullpen 2 (HP)"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"Bullpen 2 [HP]"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"Bullpen 1 [Brother]"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"Small Brother Near Front Bizhub"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"Copier 1"
RUNDLL32 PRINTUI.DLL,PrintUIEntry /q /dl /n"Copier 2"

REM ***** Create the TCP\IP ports *****
ECHO Adding printer ports...
ping 127.0.0.1 -n 1 -w 2000 > nul
REGEDIT /S "C:\KWPR-COPIER-INSTALL-FILES\delete_ports25-26-30-31-34-36-38.reg"
REGEDIT /S "C:\KWPR-COPIER-INSTALL-FILES\add_ports25-26-30-31-34-36-38.reg"
ECHO Done adding printer ports!
ping 127.0.0.1 -n 1 -w 2000 > nul

REM ***** Stop\Restart the Print Spooler *****
ECHO Cycling Print Spooler service...
ping 127.0.0.1 -n 1 -w 1000 > nul
net stop spooler
ping 127.0.0.1 -n 1 -w 1000 > nul
net start spooler
ping 127.0.0.1 -n 1 -w 1000 > nul
ECHO Done cycling Print Spooler Service!
ping 127.0.0.1 -n 1 -w 2000 > nul

REM ***** Determine if OS is 32- or 64-bit and redirect accordingly *****
ECHO Let's see if you have a 32-bit or a 64-bit Operating System...
ping 127.0.0.1 -n 1 -w 3000 > nul
IF EXIST "%ProgramFiles(x86)%" GOTO x64install
ping 127.0.0.1 -n 1 -w 1000 > nul


REM ***** 32-bit install *****
:x86install
ECHO Looks like it's a 32-bit OS
ping 127.0.0.1 -n 1 -w 2000 > nul


cls
echo.
echo     *******************************************************************
echo     * This process typically requires 15 minutes or more to complete! *
echo     *                  Please be patient, thank YOU!                  *
echo     *                                                                 *
echo     *                   www.RawlsGroupHelpDesk.com                    *
echo     *******************************************************************
echo.
echo Installing Bullpen on Right...
rundll32 printui.dll,PrintUIEntry /if /u /r "IP_10.39.25.38" /b "Bullpen on Right" /f "C:\KWPR-COPIER-INSTALL-FILES\HPdrivers\32\hpcu115d.inf"  /m "HP Universal Printing PS" /z
echo Done!
ping 127.0.0.1 -n 1 -w 1500 > nul

echo.
echo Installing Bullpen on Left...
rundll32 printui.dll,PrintUIEntry /if /u /r "IP_10.39.25.36" /b "Bullpen on Left" /f "%C:\KWPR-COPIER-INSTALL-FILES\HPdrivers\32\hpcu115d.inf"  /m "HP Universal Printing PS" /z
echo Done!
ping 127.0.0.1 -n 1 -w 1500 > nul

echo.
echo Installing Mailroom...
rundll32 printui.dll,PrintUIEntry /if /u /r "IP_10.39.25.25" /b "Mailroom" /f "C:\KWPR-COPIER-INSTALL-FILES\HPdrivers\32\hpcu115d.inf"  /m "HP Universal Printing PS" /z
echo Done!
ping 127.0.0.1 -n 1 -w 1500 > nul

echo.
echo Install completed!

GOTO AllDone

REM ***** 64-bit install *****
:x64install
ECHO Looks like it's a 64-bit OS
ping 127.0.0.1 -n 1 -w 2000 > nul

cls
echo.
echo     *******************************************************************
echo     * This process typically requires 15 minutes or more to complete! *
echo     *                  Please be patient, thank YOU!                  *
echo     *                                                                 *
echo     *                   www.RawlsGroupHelpDesk.com                    *
echo     *******************************************************************
echo.
echo Installing Bullpen on Right...
rundll32 printui.dll,PrintUIEntry /if /r "IP_10.39.25.38" /b "Bullpen on Right" /f "C:\KWPR-COPIER-INSTALL-FILES\HPdrivers\64\hpcu115v.inf"  /m "HP Universal Printing PS" /z
echo Done!
ping 127.0.0.1 -n 1 -w 1500 > nul

echo.
echo Installing Bullpen on Left...
rundll32 printui.dll,PrintUIEntry /if /r "IP_10.39.25.36" /b "Bullpen on Left" /f "C:\KWPR-COPIER-INSTALL-FILES\HPdrivers\64\hpcu115v.inf"  /m "HP Universal Printing PS" /z
echo Done!
ping 127.0.0.1 -n 1 -w 1500 > nul

echo.
echo Installing Mailroom...
rundll32 printui.dll,PrintUIEntry /if /r "IP_10.39.25.25" /b "Mailroom" /f "C:\KWPR-COPIER-INSTALL-FILES\HPdrivers\64\hpcu115v.inf"  /m "HP Universal Printing PS" /z
echo Done!
ping 127.0.0.1 -n 1 -w 1500 > nul

echo.
echo Install completed!

GOTO AllDone

REM ***** Complain and abort if user is not an admin *****
:AdminProblem
ECHO INSTALL HAS FAILED!!
ECHO You MUST run this program as an administrator. To do so:
ECHO RIGHT-CLICK on the file and choose "Run as Administrator.
ECHO Terminating install...

:AllDone
pause